import { PaletteMode, PaletteColorOptions, Theme } from '@mui/material';
export type PaletteColor = {
    25?: string;
    50: string;
    100: string;
    200: string;
    300: string;
    400: string;
    500: string;
    600: string;
    700: string;
    800: string;
    900: string;
    950?: string;
    A100?: string;
    A200?: string;
    A400?: string;
    A700?: string;
};
export type WormholeConnectTheme = {
    mode: PaletteMode;
    input?: string;
    primary?: string;
    secondary?: string;
    text?: string;
    textSecondary?: string;
    error?: string;
    success?: string;
    badge?: string;
    font?: string;
};
type Color = PaletteColor | PaletteColorOptions;
export type InternalTheme = {
    mode: PaletteMode;
    primary: Color;
    secondary: Color;
    divider: string;
    background: {
        default: string;
        badge: string;
    };
    text: {
        primary: string;
        secondary: string;
    };
    error: Color;
    info: Color;
    success: Color;
    warning: Color;
    button: {
        primary: string;
        primaryText: string;
        disabled: string;
        disabledText: string;
        action: string;
        actionText: string;
        hover: string;
    };
    options: {
        hover: string;
        select: string;
    };
    card: {
        background: string;
        elevation: string;
        secondary: string;
    };
    popover: {
        background: string;
        elevation: string;
        secondary: string;
    };
    modal: {
        background: string;
    };
    font: string;
    logo: string;
};
export declare const light: InternalTheme;
export declare const dark: InternalTheme;
export declare const generateTheme: (customTheme: WormholeConnectTheme) => Theme;
export {};
//# sourceMappingURL=theme.d.ts.map